View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000569Ecere SDKide:buildsystempublic2010-10-29 05:142013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000569: distinction between actual library and object file is too simplistic
DescriptionWe check if specified libraries include an extension, and if they do we treat them as object files... thing is some libraries actually name themselves with dots, e.g. libgdk_pixbuf-2.0 . We need to be more intelligent and only omit the -l if it's a recognized extension like .o (I don't know what's the behavior for .a ? do they end up taking out the extension and just saying -lbla ?)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000389)
redj (administrator)
2010-10-29 05:15

Added revision 159 to sdk/ide/src/project/Project.ec

(revision shared with issues 566 and 568)
(0000394)
redj (administrator)
2010-10-29 07:12

Added revision 162 to sdk/ide/src/project/Project.ec

dropping lib prefix when .so or .dylib extension is specified
libsound.so -> sound
libsound.dylib -> sound

- Issue History
Date Modified Username Field Change
2010-10-29 05:14 redj New Issue
2010-10-29 05:14 redj Status new => assigned
2010-10-29 05:14 redj Assigned To => redj
2010-10-29 05:15 redj Status assigned => resolved
2010-10-29 05:15 redj Resolution open => fixed
2010-10-29 05:15 redj Note Added: 0000389
2010-10-29 07:12 redj Note Added: 0000394
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-03-29 08:44 redj Category ide => ide:buildsystem
2012-03-29 08:44 redj Summary ide / build system: distinction between actual library and object file is too simplistic => distinction between actual library and object file is too simplistic
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker